package com.cit.sellfan.ui.view.cliente04;

import cit.classi.Lingua;
import com.cit.sellfan.business.VariabiliGlobali;
import com.vaadin.data.Property;
import com.vaadin.shared.ui.label.ContentMode;
import com.vaadin.ui.Alignment;
import com.vaadin.ui.CustomComponent;
import com.vaadin.ui.Panel;
import com.xdev.res.ApplicationResource;
import com.xdev.ui.XdevButton;
import com.xdev.ui.XdevCheckBox;
import com.xdev.ui.XdevLabel;
import com.xdev.ui.XdevVerticalLayout;
import com.xdev.ui.entitycomponent.combobox.XdevComboBox;

public class Cliente04pannelloPagineOfferta extends Panel {
	private VariabiliGlobali l_VG;

	/**
	 * 
	 */
	public Cliente04pannelloPagineOfferta() {
		super();
		this.initUI();
	}

	public void setVariabiliGlobali(final VariabiliGlobali variabiliGlobali) {
		this.l_VG = variabiliGlobali;
		Nazionalizza();
	}
	
	public void Nazionalizza() {
            this.checkBox1Pagina.setCaption(this.l_VG.utilityTraduzioni.TraduciStringa("Prima Pagina Riassuntiva"));
            this.checkBoxDataSheet.setCaption(this.l_VG.utilityTraduzioni.TraduciStringa("Pagina Data Sheet"));
            this.checkBoxCosto.setCaption(this.l_VG.utilityTraduzioni.TraduciStringa("Pagina Conto Economico"));
            this.checkBoxDimensioni.setCaption(this.l_VG.utilityTraduzioni.TraduciStringa("Pagina Dimensioni"));
            this.labelOgni.setValue("<html><b>" + this.l_VG.utilityTraduzioni.TraduciStringa("Stampe per ogni ventilatore") + "</html>");
            this.selezioneLingua.setCaption(this.l_VG.utilityTraduzioni.TraduciStringa("Scelta Lingua"));
            this.selezioneLingua.addItems("Italiano", "English", "Français", "Deutsche", "Español");
            switch (this.l_VG.currentCitFont.idLinguaDisplay) {
                case ("IT"):
                    this.selezioneLingua.setValue("Italiano");
                    break;
                case ("UK"):
                    this.selezioneLingua.setValue("English");
                    break;
                case ("FR"):
                    this.selezioneLingua.setValue("Français");
                    break;
                case ("DE"):
                    this.selezioneLingua.setValue("Deutsche");
                    break;
                case ("ES"):
                    this.selezioneLingua.setValue("Español");
                    break;
            }
	}
	
	public void getFlag() {
		this.l_VG.stampaOfferta.stampaRiassuntivoFlag = this.checkBox1Pagina.getValue();
		this.l_VG.stampaOfferta.stampaDataSheetFlag = this.checkBoxDataSheet.getValue();
		this.l_VG.stampaOfferta.stampaContoEconomicoFlag = this.checkBoxCosto.getValue();
		this.l_VG.stampaOfferta.stampaDimensioniFlag = this.checkBoxDimensioni.getValue();
		this.l_VG.stampaOfferta.stampaCondizioniVenditaFlag = this.l_VG.stampaOfferta.stampaRiassuntivoFlag || this.l_VG.stampaOfferta.stampaContoEconomicoFlag;
		if (this.selezioneLingua.getValue()!=null) {
			this.l_VG.stampaOfferta.linguaStampa = this.selezioneLingua.getValue().toString();
		} else {
			this.l_VG.stampaOfferta.linguaStampa = "";
		}
	}
	
	/**
	 * Event handler delegate method for the {@link XdevCheckBox}
	 * {@link #checkBoxCosto}.
	 *
	 * @see Property.ValueChangeListener#valueChange(Property.ValueChangeEvent)
	 * @eventHandlerDelegate Do NOT delete, used by UI designer!
	 */
	private void checkBoxCosto_valueChange(final Property.ValueChangeEvent event) {
		if (this.checkBoxCosto.getValue()) {
			this.checkBox1Pagina.setEnabled(true);
		} else {
			this.checkBox1Pagina.setEnabled(false);
			this.checkBox1Pagina.setValue(false);
		}
	}

	/*
	 * WARNING: Do NOT edit!<br>The content of this method is always regenerated by
	 * the UI designer.
	 */
	// <generated-code name="initUI">
	private void initUI() {
		this.verticalLayout = new XdevVerticalLayout();
		this.checkBox1Pagina = new XdevCheckBox();
		this.label = new XdevLabel();
		this.labelOgni = new XdevLabel();
		this.label2 = new XdevLabel();
		this.checkBoxDataSheet = new XdevCheckBox();
		this.checkBoxCosto = new XdevCheckBox();
		this.checkBoxDimensioni = new XdevCheckBox();
		this.checkBoxForzaLinguaInglese = new XdevCheckBox();
		this.selezioneLingua = new XdevComboBox<>();
	
		this.setCaption("");
		this.checkBox1Pagina.setCaption("Prima Pagina Riassuntiva");
		this.checkBox1Pagina.setValue(true);
		this.labelOgni.setValue("<b>Stampe per ogni ventilatore");
		this.labelOgni.setContentMode(ContentMode.HTML);
		this.checkBoxDataSheet.setCaption("Pagina Data Sheet");
		this.checkBoxDataSheet.setValue(true);
		this.checkBoxCosto.setCaption("Pagina Conto Economico");
		this.checkBoxCosto.setValue(true);
		this.checkBoxDimensioni.setCaption("Pagina Dimensioni");
		this.checkBoxDimensioni.setValue(true);
		this.checkBox1Pagina.setSizeUndefined();
		this.verticalLayout.addComponent(this.checkBox1Pagina);
		this.verticalLayout.setComponentAlignment(this.checkBox1Pagina, Alignment.MIDDLE_CENTER);
		this.label.setWidth(31, Unit.PIXELS);
		this.label.setHeight(10, Unit.PIXELS);
		this.verticalLayout.addComponent(this.label);
		this.verticalLayout.setComponentAlignment(this.label, Alignment.MIDDLE_CENTER);
		this.labelOgni.setSizeUndefined();
		this.verticalLayout.addComponent(this.labelOgni);
		this.verticalLayout.setComponentAlignment(this.labelOgni, Alignment.MIDDLE_CENTER);
		this.label2.setWidth(31, Unit.PIXELS);
		this.label2.setHeight(10, Unit.PIXELS);
		this.verticalLayout.addComponent(this.label2);
		this.verticalLayout.setComponentAlignment(this.label2, Alignment.MIDDLE_CENTER);
		this.checkBoxDataSheet.setSizeUndefined();
		this.verticalLayout.addComponent(this.checkBoxDataSheet);
		this.verticalLayout.setComponentAlignment(this.checkBoxDataSheet, Alignment.MIDDLE_CENTER);
		this.checkBoxCosto.setSizeUndefined();
		this.verticalLayout.addComponent(this.checkBoxCosto);
		this.verticalLayout.setComponentAlignment(this.checkBoxCosto, Alignment.MIDDLE_CENTER);
		this.checkBoxDimensioni.setSizeUndefined();
		this.verticalLayout.addComponent(this.checkBoxDimensioni);
		this.verticalLayout.setComponentAlignment(this.checkBoxDimensioni, Alignment.MIDDLE_CENTER);
		this.verticalLayout.addComponent(this.selezioneLingua);
		this.verticalLayout.setComponentAlignment(this.selezioneLingua, Alignment.MIDDLE_CENTER);
		final CustomComponent verticalLayout_spacer = new CustomComponent();
		verticalLayout_spacer.setSizeFull();
		this.verticalLayout.addComponent(verticalLayout_spacer);
		this.verticalLayout.setExpandRatio(verticalLayout_spacer, 1.0F);
		this.verticalLayout.setWidth(298, Unit.PIXELS);
		this.verticalLayout.setHeight(219, Unit.PIXELS);
		this.setContent(this.verticalLayout);
		this.setWidth(300, Unit.PIXELS);
		this.setHeight(250, Unit.PIXELS);
	
		this.checkBoxCosto.addValueChangeListener(new Property.ValueChangeListener() {
			@Override
			public void valueChange(final Property.ValueChangeEvent event) {
				Cliente04pannelloPagineOfferta.this.checkBoxCosto_valueChange(event);
			}
		});
	} // </generated-code>

	// <generated-code name="variables">
	private XdevLabel label, labelOgni, label2;
	private XdevCheckBox checkBox1Pagina, checkBoxDataSheet, checkBoxCosto, checkBoxDimensioni, checkBoxForzaLinguaInglese;
	private XdevVerticalLayout verticalLayout;
	private XdevComboBox<String> selezioneLingua;
	// </generated-code>

}

